<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Method Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Method Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A method in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af7355274d8950f1e239b43401e1f3d06"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#af7355274d8950f1e239b43401e1f3d06">Method</a> ()</td></tr>
<tr class="separator:af7355274d8950f1e239b43401e1f3d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31820e7c8a56e6eefd553f627002b268"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a31820e7c8a56e6eefd553f627002b268">Method</a> (string name, string type=default, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body=default)</td></tr>
<tr class="separator:a31820e7c8a56e6eefd553f627002b268"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06500665a1eb2377f69e507f19616f5d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a06500665a1eb2377f69e507f19616f5d">WithName</a> (string name)</td></tr>
<tr class="separator:a06500665a1eb2377f69e507f19616f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3788cfc58d0dd753f33f6a7824f72ebd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a3788cfc58d0dd753f33f6a7824f72ebd">WithType</a> (string type)</td></tr>
<tr class="separator:a3788cfc58d0dd753f33f6a7824f72ebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc2306c7d9d821673379748eacd82752"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#abc2306c7d9d821673379748eacd82752">WithBody</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body)</td></tr>
<tr class="separator:abc2306c7d9d821673379748eacd82752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba136f8f0aa7e8d8c57ff41cbd203b91"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#aba136f8f0aa7e8d8c57ff41cbd203b91">AddBaseArgument</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> arg)</td></tr>
<tr class="separator:aba136f8f0aa7e8d8c57ff41cbd203b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a8bd18d795c221224f373cf7a79976b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a1a8bd18d795c221224f373cf7a79976b">AddBaseArguments</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>[] args)</td></tr>
<tr class="separator:a1a8bd18d795c221224f373cf7a79976b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d27b94b1f50259cf2a7789e5e6aed75"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a1d27b94b1f50259cf2a7789e5e6aed75">AddBaseArguments</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args)</td></tr>
<tr class="separator:a1d27b94b1f50259cf2a7789e5e6aed75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933db59c3558b0ab9349b8cb2089e18c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a933db59c3558b0ab9349b8cb2089e18c">AddModifier</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> mod)</td></tr>
<tr class="separator:a933db59c3558b0ab9349b8cb2089e18c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a162eeac68f614b1397520369f472902d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a162eeac68f614b1397520369f472902d">AddModifiers</a> (params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[] mods)</td></tr>
<tr class="separator:a162eeac68f614b1397520369f472902d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9894203a17d08493189f30fe08408b08"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a9894203a17d08493189f30fe08408b08">AddModifiers</a> (IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; mods)</td></tr>
<tr class="separator:a9894203a17d08493189f30fe08408b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c50befd4d94d571cc2751894cd18388"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a4c50befd4d94d571cc2751894cd18388">AddParameter</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> param)</td></tr>
<tr class="separator:a4c50befd4d94d571cc2751894cd18388"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0297608ef33e1bb0ccb416a41f785e8a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a0297608ef33e1bb0ccb416a41f785e8a">AddParameters</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>[] parameters)</td></tr>
<tr class="separator:a0297608ef33e1bb0ccb416a41f785e8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a218e7b55cad11ec424daf4c0c582876f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a218e7b55cad11ec424daf4c0c582876f">AddParameters</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="separator:a218e7b55cad11ec424daf4c0c582876f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a4de404d2d709eaa09363b86c310218d9"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a4de404d2d709eaa09363b86c310218d9">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a4de404d2d709eaa09363b86c310218d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a4de404d2d709eaa09363b86c310218d9">More...</a><br /></td></tr>
<tr class="separator:a4de404d2d709eaa09363b86c310218d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5012676ebcc9fdebf85bb142b30c1a5a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a5012676ebcc9fdebf85bb142b30c1a5a">Type</a><code> [get]</code></td></tr>
<tr class="memdesc:a5012676ebcc9fdebf85bb142b30c1a5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tyoe of the method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a5012676ebcc9fdebf85bb142b30c1a5a">More...</a><br /></td></tr>
<tr class="separator:a5012676ebcc9fdebf85bb142b30c1a5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c134c7c0ad3eaf4c321dada2327b534"><td class="memItemLeft" align="right" valign="top">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a9c134c7c0ad3eaf4c321dada2327b534">Body</a><code> [get]</code></td></tr>
<tr class="memdesc:a9c134c7c0ad3eaf4c321dada2327b534"><td class="mdescLeft">&#160;</td><td class="mdescRight">Body of the method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a9c134c7c0ad3eaf4c321dada2327b534">More...</a><br /></td></tr>
<tr class="separator:a9c134c7c0ad3eaf4c321dada2327b534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71e4f296aead9ddf54544b80d8ba2845"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a71e4f296aead9ddf54544b80d8ba2845">BaseArguments</a><code> [get]</code></td></tr>
<tr class="memdesc:a71e4f296aead9ddf54544b80d8ba2845"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arguments for the method's base method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a71e4f296aead9ddf54544b80d8ba2845">More...</a><br /></td></tr>
<tr class="separator:a71e4f296aead9ddf54544b80d8ba2845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac376fbb210d2a5ad87b3d6996b7c2a3f"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#ac376fbb210d2a5ad87b3d6996b7c2a3f">Modifiers</a><code> [get]</code></td></tr>
<tr class="memdesc:ac376fbb210d2a5ad87b3d6996b7c2a3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers of the method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#ac376fbb210d2a5ad87b3d6996b7c2a3f">More...</a><br /></td></tr>
<tr class="separator:ac376fbb210d2a5ad87b3d6996b7c2a3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4d7266c0b561ce02f5458746f92f601"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#ab4d7266c0b561ce02f5458746f92f601">Parameters</a><code> [get]</code></td></tr>
<tr class="memdesc:ab4d7266c0b561ce02f5458746f92f601"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters of the method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#ab4d7266c0b561ce02f5458746f92f601">More...</a><br /></td></tr>
<tr class="separator:ab4d7266c0b561ce02f5458746f92f601"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A method in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af7355274d8950f1e239b43401e1f3d06" name="af7355274d8950f1e239b43401e1f3d06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7355274d8950f1e239b43401e1f3d06">&#9670;&nbsp;</a></span>Method() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Method.Method </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a31820e7c8a56e6eefd553f627002b268" name="a31820e7c8a56e6eefd553f627002b268"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31820e7c8a56e6eefd553f627002b268">&#9670;&nbsp;</a></span>Method() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Method.Method </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em> = <code>default</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td>
          <td class="paramname"><em>body</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aba136f8f0aa7e8d8c57ff41cbd203b91" name="aba136f8f0aa7e8d8c57ff41cbd203b91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba136f8f0aa7e8d8c57ff41cbd203b91">&#9670;&nbsp;</a></span>AddBaseArgument()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddBaseArgument </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d27b94b1f50259cf2a7789e5e6aed75" name="a1d27b94b1f50259cf2a7789e5e6aed75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d27b94b1f50259cf2a7789e5e6aed75">&#9670;&nbsp;</a></span>AddBaseArguments() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddBaseArguments </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a8bd18d795c221224f373cf7a79976b" name="a1a8bd18d795c221224f373cf7a79976b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a8bd18d795c221224f373cf7a79976b">&#9670;&nbsp;</a></span>AddBaseArguments() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddBaseArguments </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>[]&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a933db59c3558b0ab9349b8cb2089e18c" name="a933db59c3558b0ab9349b8cb2089e18c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a933db59c3558b0ab9349b8cb2089e18c">&#9670;&nbsp;</a></span>AddModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&#160;</td>
          <td class="paramname"><em>mod</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9894203a17d08493189f30fe08408b08" name="a9894203a17d08493189f30fe08408b08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9894203a17d08493189f30fe08408b08">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td>
          <td class="paramname"><em>mods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a162eeac68f614b1397520369f472902d" name="a162eeac68f614b1397520369f472902d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a162eeac68f614b1397520369f472902d">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[]&#160;</td>
          <td class="paramname"><em>mods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c50befd4d94d571cc2751894cd18388" name="a4c50befd4d94d571cc2751894cd18388"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c50befd4d94d571cc2751894cd18388">&#9670;&nbsp;</a></span>AddParameter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddParameter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&#160;</td>
          <td class="paramname"><em>param</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a218e7b55cad11ec424daf4c0c582876f" name="a218e7b55cad11ec424daf4c0c582876f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a218e7b55cad11ec424daf4c0c582876f">&#9670;&nbsp;</a></span>AddParameters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddParameters </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0297608ef33e1bb0ccb416a41f785e8a" name="a0297608ef33e1bb0ccb416a41f785e8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0297608ef33e1bb0ccb416a41f785e8a">&#9670;&nbsp;</a></span>AddParameters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.AddParameters </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>[]&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc2306c7d9d821673379748eacd82752" name="abc2306c7d9d821673379748eacd82752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc2306c7d9d821673379748eacd82752">&#9670;&nbsp;</a></span>WithBody()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.WithBody </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a06500665a1eb2377f69e507f19616f5d" name="a06500665a1eb2377f69e507f19616f5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06500665a1eb2377f69e507f19616f5d">&#9670;&nbsp;</a></span>WithName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.WithName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3788cfc58d0dd753f33f6a7824f72ebd" name="a3788cfc58d0dd753f33f6a7824f72ebd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3788cfc58d0dd753f33f6a7824f72ebd">&#9670;&nbsp;</a></span>WithType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.WithType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a71e4f296aead9ddf54544b80d8ba2845" name="a71e4f296aead9ddf54544b80d8ba2845"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71e4f296aead9ddf54544b80d8ba2845">&#9670;&nbsp;</a></span>BaseArguments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Method.BaseArguments</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Arguments for the method's base method </p>

</div>
</div>
<a id="a9c134c7c0ad3eaf4c321dada2327b534" name="a9c134c7c0ad3eaf4c321dada2327b534"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c134c7c0ad3eaf4c321dada2327b534">&#9670;&nbsp;</a></span>Body</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> xAPI_Definitions_Parser.Code.SyntaxTree.Method.Body</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Body of the method </p>

</div>
</div>
<a id="ac376fbb210d2a5ad87b3d6996b7c2a3f" name="ac376fbb210d2a5ad87b3d6996b7c2a3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac376fbb210d2a5ad87b3d6996b7c2a3f">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Method.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access modifiers of the method </p>

</div>
</div>
<a id="a4de404d2d709eaa09363b86c310218d9" name="a4de404d2d709eaa09363b86c310218d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4de404d2d709eaa09363b86c310218d9">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Method.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the method </p>

</div>
</div>
<a id="ab4d7266c0b561ce02f5458746f92f601" name="ab4d7266c0b561ce02f5458746f92f601"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4d7266c0b561ce02f5458746f92f601">&#9670;&nbsp;</a></span>Parameters</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Method.Parameters</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parameters of the method </p>

</div>
</div>
<a id="a5012676ebcc9fdebf85bb142b30c1a5a" name="a5012676ebcc9fdebf85bb142b30c1a5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5012676ebcc9fdebf85bb142b30c1a5a">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Method.Type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tyoe of the method </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_method_8cs.html">Method.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
